# 40percent

Keymap files for my 40% size keyboard.

## X11
`40percent` is the X11 keymap; this is a modified version of the `en_US` keymap with the `"` and `@` symbols switched.
Caps Lock is set to Escape via `setxkbmap -option caps:swapescape 40percent` in my [`.xinitrc`](https://git.themagician.cc/TheMagician/stow/src/branch/main/X/.xinitrc) file.

## Console
`40percent.map` is the console keymap.
It's a modified version of the `uk` keymap with the Caps Lock keysym changed to generate an Escape.
It's used by setting `keymap="40percent"` in `/etc/conf.d/keymaps` (on Gentoo).

## Installation
Use `make install-x11` to install the X11 keymap and `make install-console` to install the console keymap.
Installation requires root access to write to the `/usr` tree.
